Skip to main content
GET
/
chains
/
{chainId}
Get chain details
curl --request GET \
  --url https://api.wavynode.com/v1/chains/{chainId} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "name": "<string>",
    "chain_id": 123,
    "currency_symbol": "<string>",
    "market_cap": "<string>",
    "coin_price": "<string>",
    "coin_image": "<string>",
    "total_addresses": "<string>",
    "total_blocks": "<string>",
    "total_transactions": "<string>",
    "tvl": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Enter the full value with the ApiKey prefix. Example: ApiKey wavy_your-api-key. The prefix is required for authentication.

Path Parameters

chainId
integer
required

The chain ID of the blockchain network

Response

Chain details

success
boolean
data
object